EvPrepare::__construct
EvSignal
EvPrepare
PHP Manual

# EvPrepare::createStopped

Creates a stopped instance of EvPrepare watcher

### Description

final public static EvPrepare EvPrepare::createStopped ( callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Creates a stopped instance of EvPrepare watcher. Unlike EvPrepare::__construct , this method doesn' start the watcher automatically.

### Parameters

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Return EvPrepare object on success.

### See Also

- EvPrepare::__construct
- EvWatcher::start